propellor-5.18: property-based host configuration management in haskell

Maintainer | Sean Whitton <spwhitton@spwhitton.name>
Safe Haskell | None
Language | Haskell2010

Propellor.Property.HostingProvider.Exoscale

Description

Properties for use on https://www.exoscale.ch/

Synopsis

- distroKernel :: KernelFlavor -> Property DebianLike

# Documentation

distroKernel :: KernelFlavor -> Property DebianLike Source #

The current Exoshare Debian image doesn't install GRUB, so this property makes sure GRUB is installed and correctly configured

In case an old, insecure kernel is running, we check for an old kernel version and reboot immediately if one is found.

Note that we ignore anything after the first hyphen when considering whether the running kernel's version is older than the Debian-supplied kernel's version.